//package IM;

import java.io.FileInputStream;
import java.io.ObjectInputStream;

class PrintRL {
    public static void main(String args[]) {
        try {
            String rl[] = new String[0];
            FileInputStream fos = new FileInputStream("revocationlist");
            ObjectInputStream in = new ObjectInputStream(fos);
            rl = (String[]) in.readObject();
            in.close();
            fos.close();

            int i;
            for (i = 0; i < rl.length; i++) {
                System.out.println(rl[i]);
            }
        } catch (Exception e) {
            System.out.print("Error\n");
        }
    }

    public static void go() {
        try {
            String rl[] = new String[0];
            FileInputStream fos = new FileInputStream("revocationlist");
            ObjectInputStream in = new ObjectInputStream(fos);
            rl = (String[]) in.readObject();
            in.close();
            fos.close();

            int i;
            for (i = 0; i < rl.length; i++) {
                System.out.println(rl[i]);
            }
        } catch (Exception e) {
            System.out.print("Error\n");
        }

    }
}
